package db;

import data.User;

public class MockUserDao implements IUserDao {
	
	private User mockUser;

	@Override
	public void createUser(User user) {
		mockUser = user;	
	}

	@Override
	public User findByUserName(String userName) {
		if (mockUser != null)
		{
			mockUser.setUserName(userName);	
		}
		return mockUser;
	}

	@Override
	public void updateUser(User user) {
		mockUser = user;
	}

	@Override
	public void deleteUser(String string) {
		mockUser = null;
	}

}
