package db;

import java.util.List;

import data.Post;

public interface IPostDao {
	
	void createPost(Post post);
	
	List<Post> findByHeader(String header);

	List<Post> findByDate(String date);
	
	List<Post> findByPoster(String poster);
	
	void updatePost(Post post);

	void deletePost(Post post);

	Post findById(int id);

	List<Post> findByCategory(String category);

}


